SDL_GPUBufferBinding Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBuffer * | buffer
Uint32 | offset

## Detailed Description

A structure specifying parameters in a buffer binding call.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BindGPUVertexBuffers
  SDL_BindGPUIndexBuffer

Definition at line 2125 of file SDL_gpu.h.

## Field Documentation

## buffer

SDL_GPUBuffer* SDL_GPUBufferBinding::buffer

The buffer to bind. Must have been created with SDL_GPU_BUFFERUSAGE_VERTEX for SDL_BindGPUVertexBuffers, or SDL_GPU_BUFFERUSAGE_INDEX for SDL_BindGPUIndexBuffer.

Definition at line 2127 of file SDL_gpu.h.

## offset

Uint32 SDL_GPUBufferBinding::offset

The starting byte of the data to bind in the buffer.

Definition at line 2128 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h